﻿Public Class Form1
    ' Restore the saved file name.
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        txtFile.Text = My.Settings.Filename
    End Sub

    ' Save the current file name.
    Private Sub Form1_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        My.Settings.Filename = txtFile.Text
        My.Settings.Save()
    End Sub

    ' Let the user select a file.
    Private Sub btnPickFile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnPickFile.Click
        ofdFile.FileName = txtFile.Text
        If (ofdFile.ShowDialog() = DialogResult.OK) Then
            txtFile.Text = ofdFile.FileName
            picOriginal.Image = Nothing
            picOrientation.Image = Nothing
            lblOrientation.Text = ""
        End If
    End Sub

    ' Open the file and read its orientation information.
    Private Sub btnOpen_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnOpen.Click
        ' Open the file.
        Dim bm As New Bitmap(txtFile.Text)
        picOriginal.Image = bm

        ' Get the PropertyItems property from image.
        Dim Orientation As ExifOrientations = ImageOrientation(bm)
        lblOrientation.Text = Orientation.ToString()
        picOrientation.Image = OrientationImage(Orientation)
    End Sub
End Class
